<br><br><div class="gmail_quote"><blockquote class="gmail_quote" style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;">I&#39;m inclined to want to drop it, but I&#39;d like to make it a reasoned<br>

decision.  Let&#39;s try to make a brief list of:<br>
<br>
- Specific things we gain from being 2.5-only (not the &quot;what&#39;s new in<br>
2.5&quot; document, but which of those do *we* benefit from)<br>
</blockquote><div><br>* Absolute imports would allow us to ship enthought.traits in externals and avoid 1) the performance problems of namespace packages and 2) conflicting with other installed versions of enthought.traits.<br>
<br>* Certain parts of twisted use the new generator features in 2.5.  Being able to use these features of twisted would probably dramatically simplify all of our twisted using test code.  This would be a *massive* improvement in maintainability.<br>
<br>* Obviously there are all the other minor things like with and try/except/else/finally, but these are convenience things.<br><br>* The faster we drop support for python 2.4 and 2.5, the easier moving to py3k will be.  I am not yet proposing that we drop 2.5 support though.<br>
<br><br> </div><blockquote class="gmail_quote" style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;"><br>
- Which major forms of python distribution (linux distros, defaults on<br>
solaris or other big unix systems, versions of osx, etc) default to<br>
2.4?<br>
<br>
At least that way we&#39;ll be able to weigh the costs and benefits and<br>
document, if we take the step, why we do it.<br>
<br>
Cheers,<br>
<font color="#888888"><br>
f<br>
</font></blockquote></div><br>